{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Empresas'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/task_list.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}
    <script type="text/javascript">
        jQuery(function($){
            $(document).ready(function () {

                $('#user_id').change(function(){
                    var url = this.value;
                    $.get(url, function(data){
                        $('#c-grid').html(data);
                    });
                });

                $('body').on('click', '.view-more', function(e) {
                    e.preventDefault();

                    var id = $('#user_id option:selected').val();
                    var more = 5;
                    var tLast = $('#task-last').data('limit');
                    var tNow = $('#task-now').data('limit');
                    var tTomorrow = $('#task-tomorrow').data('limit');

                    tLast = (typeof tLast === 'undefined') ? 5 : tLast;
                    tNow = (typeof tNow === 'undefined') ? 5 : tNow;
                    tTomorrow = (typeof tTomorrow === 'undefined') ? 5 : tTomorrow;

                    if($(this).data('type') === 'last') {
                        tLast = $(this).data('limit') + more;
                    }

                    if($(this).data('type') === 'now') {
                        tNow = $(this).data('limit') + more;
                    }

                    if($(this).data('type') === 'tomorrow') {
                        tTomorrow = $(this).data('limit') + more;
                    }

                    var url = '{{path_for('task-last-limit', {id: 's1', limitLast: 's2', limitNow: 's3', limitTomorrow: 's4'})}}';
                    url = url.replace("s1", id);
                    url = url.replace("s2", tLast);
                    url = url.replace("s3", tNow);
                    url = url.replace("s4", tTomorrow);

                    $.get(url, function(data){
                        $('#c-grid').html(data);
                    });

                });
            });
        });
    </script>


{% endblock %}
